import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Crab here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Penguin extends Actor
{
    private GreenfootImage image1;
    private GreenfootImage image2;
    private int fishEaten = 0;
    public Penguin()
    {
        image1 = new GreenfootImage("tux.png");
        setImage(image1);
        image2 = new GreenfootImage("tux2.png");
        setImage(image2);

    }

    /**
     * Act - do whatever the Penguin wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */

    public void act() 
    {
        move(5);
        lookForFish();
        checkKeypress();
        switchImage();

    }

    public void lookForFish()
    {
        if (isTouching(Fish.class))
        {
            removeTouching(Fish.class);
            Greenfoot.playSound("slurp.wav");
            fishEaten = fishEaten + 1;
            if (fishEaten == 8)
            {
                Greenfoot.playSound("fanfare.wav");
                Greenfoot.stop();
            }
        }
    }

    public void checkKeypress()
    {
        if (Greenfoot.isKeyDown("left"))
        {
            turn(-5);
        }
        if (Greenfoot.isKeyDown("right"))
        {
            turn(5);
        }
    }

    public void switchImage()
    {
        if (getImage() == image1)
        {
            setImage(image2);
        }
        else
        {
            setImage(image1);
        }
    }
}
